Debian Bug report logs - #347323
locales: locale en_US incorrectly starts week on Monday

version graph

Package: locales; Maintainer for locales is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for locales is src:eglibc.

Reported by: Reid Priedhorsky <reid@reidster.net>

Date: Tue, 10 Jan 2006 03:48:01 UTC

Severity: normal

Found in version locales/2.3.5-8

Fixed in version glibc/2.3.6-1

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#347323; Package locales. Full text and rfc822 format available.

Acknowledgement sent to Reid Priedhorsky <reid@reidster.net>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Reid Priedhorsky <reid@reidster.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: locales: locale en_US incorrectly starts week on Monday
Date: Mon, 09 Jan 2006 21:40:51 -0600
Package: locales
Version: 2.3.5-8
Severity: normal


Dear maintainers,

The locale en_US seems to think that weeks should start on Monday; in the US,
weeks start on Sunday. Trimmed "locale -k -c LC_TIME" output on my machine:

5 [~]$ LC_ALL="en_US" locale -k -c LC_TIME

week-1stday=19971201
week-1stweek=4
first_weekday=1

Note that December 1, 1997 is a Monday; since first_weekday is 1, this
indicates incorrectly that the first day of the week should be Monday also.

This can also be seen by using a GTK application that shows a calendar, e.g.
jpilot.

Thanks for your hard work on Debian. It is much appreciated!

Reid

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.4.31
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages locales depends on:
ii  debconf [debconf-2.0]         1.4.66     Debian configuration management sy
ii  libc6 [glibc-2.3.5-3]         2.3.5-8    GNU C Library: Shared libraries an

locales recommends no packages.

-- debconf information:
* locales/default_environment_locale: en_US
* locales/locales_to_be_generated: en_US ISO-8859-1, en_US.UTF-8 UTF-8



Tags added: pending Request was from Denis Barbier <barbier@linuxfr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Reid Priedhorsky <reid@reidster.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 347323-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 347323-close@bugs.debian.org
Subject: Bug#347323: fixed in glibc 2.3.6-1
Date: Sat, 11 Feb 2006 16:47:10 -0800
Source: glibc
Source-Version: 2.3.6-1

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.6-1_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.6-1_all.deb
glibc_2.3.6-1.diff.gz
  to pool/main/g/glibc/glibc_2.3.6-1.diff.gz
glibc_2.3.6-1.dsc
  to pool/main/g/glibc/glibc_2.3.6-1.dsc
glibc_2.3.6.orig.tar.gz
  to pool/main/g/glibc/glibc_2.3.6.orig.tar.gz
locales_2.3.6-1_all.deb
  to pool/main/g/glibc/locales_2.3.6-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 347323@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  9 Feb 2006 21:45:45 -0500
Source: glibc
Binary: glibc-doc locales
Architecture: source all
Version: 2.3.6-1
Distribution: unstable
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 locales    - GNU C Library: National Language (locale) data [support]
Closes: 225516 227214 248377 279697 295810 309846 323159 327025 329428 331377 334864 343885 345479 345641 347315 347323 347686 348518 348804 350103 350501 351036 351049 351375
Changes: 
 glibc (2.3.6-1) unstable; urgency=low
 .
   [ Denis Barbier ]
   * debian/debhelper.in/libc.postinst: Restart webmin on upgrade.
     (Closes: #345641)
   * debian/debhelper.in/libc.postinst: Restart dropbear on upgrade.
     (Closes: #351036)
   * Fix yesexpr/noexpr in tl_PH locale.  Reported by eric pareja.
     (Closes: #295810)
   * Fix langinfo(_NL_TIME_FIRST_WEEKDAY) for C locale.  Reported by
     Graham Wilson (Closes: #327025)
   * Add first_weekday fields to most locales.
     (Closes: #343885, #347323, #347686, #348518, #351375)
   * Apply various fixes to French locales.  (Closes: #248377)
   * Fix d_t_fmt and date_fmt in fo_FO. Reported by Jacob Sparre Andersen.
   * New sa_IN locale file, provided by Vidya Ayer and Christian Perrier.
     (Closes: #331377)
   * Add several locales to SUPPORTED:
     - ru_RU.CP1251, requested by Michael Bravo.  (Closes: #225516)
     - uz_UZ.UTF-8 (its ISO-8859-1 counterpart had no UTF-8 variant)
     - da_DK.ISO-8859-15, en_GB.ISO-8859-15, en_US.ISO-8859-15, no_NO.UTF-8,
       no_NO and sv_SE.ISO-8859-15 are found in fedora-branch CVS branch.
   * Apply several improvements to hy_AM found in upstream Bugzilla.
   * Fix LC_MONETARY section of en_DK and provide en_DK.ISO-8859-15.
     (Closes: #323159)
   * Improve localedef(1) manual page, by Lars Wirzenius (Closes: #309846)
   * Fix LC_MONETARY section of pl_PL. Reported by Michał Politowski.
     (Closes: #227214)
   * New wo_SN locale file, provided by Samba Ndao Diop and Christian
     Perrier.  (Closes: #279697)
   * Add new ca_AD, ca_FR and ca_IT locale files, sent upstream by Robert
     Millan.
   * New csb_PL locale file, sent upstream by Andrzej Krzysztofowicz.
   * Rewrite collation rules of several locales to include iso14651_t1.
     This eases maintenance and saves about 1MB for installed size.
   * Sort SUPPORTED to list UTF-8 locales first.  This change partly
     solves #312927.
   * Modify localedata/locales/no_NO to copy definitions from nb_NO.
   * Fix lang_* fields in gez_ER, gez_ET, tr_TR and wal_ET.
   * Fix unknown symbols in collation rules of several locales: da_DK,
     fa_IR, is_IS, lo_LA, lv_LV, nb_NO and sr_CS.
   * Apply updates for st_ZA, xh_ZA and zu_ZA sent upstream by Dwayne Bailey.
   * Add new nr_ZA locale, sent upstream by Dwayne Bailey.
   * Rewrite collation rules for dz_BT, in collaboration with Pema Geyleg.
   * Revert upstream change of postal_fmt in te_IN because localedef
     complains.  (Closes: #348804)
   * New debconf translations:
     - Italian, by Luca Monducci  (Closes: #329428)
     - Swedish, by Daniel Nylander  (Closes: #334864)
   * Slightly reword locales.templates to be DTSG-compliant, thanks Thomas
     Huriaux.
   * Updated debconf translations:  (Closes: #350103)
     - Czech, by Miroslav Kure
     - Danish, by Morten Brix Pedersen
     - Dutch, by Bart Cornelis
     - French, by Denis Barbier
     - German, by Helge Kreutzmann
     - Polish, by Emilian Nowak
     - Turkish, by Erçin EKER
     - Ukrainian, by Eugeniy Meshcheryakov
     - Vietnamese, by Clytie Siddall
   * Update timezone data files to tzdata2006a.  (Closes: #345479, #347315, #351049)
   * Drop Build-Depends-Indep: po4a from control file, translated manual pages
     are currently not built.
 .
   [ Clint Adams ]
   * Move to upstream version 2.3.6.
     - Redo debian/patches/localedata/cvs-localedata.diff
     - Remove glibc235-gcc4-cvs.diff
     - Remove glibc235-gcc4-jis0208.diff
     - Remove glibc235-binutils216-ia64.diff
     - Remove glibc235-gcc4-ia64-profile.diff
     - Remove glibc235-gcc4-ppc-procfs.diff
     - Remove glibc235-execvp-fix.diff
     - Delete CSD (Serbian Dinar) hunk from locale-iso4217.diff
     - Redo glibc235-dl-execstack.diff
     - Remove glibc235-alpha-divqu.diff
     - Remove amd64-semtrywait-weakalias.diff
     - Remove strfry-segv.diff
     - Remove ia64-binutils-libm.diff
     - Remove glibc235-leapsecond.diff
     - Delete several hunks from glibc235-gcc4-sparc-inline.diff
     - Remove hurd-libpthread-indirect-loading.diff
     - Remove glibc235-gcc4-hurd.diff
     - Delete several hunks from glibc235-gcc4-arm-inline.diff
     - Remove glibc235-gcc4-s390-inline.diff
   * Add hppa-pie-relocs.diff, thanks to Aurelien Jarno.  This
     fixes nscd on hppa.  (Closes: #350501)
 .
   [ Daniel Jacobowitz ]
   * Remove mips-bits-syscall.diff, merged.
 .
   [ GOTO Masanori ]
   * Update po/ja.po.
Files: 
 0c32980b202cc53a305504ee3c03ee9c 1933 libs required glibc_2.3.6-1.dsc
 c50d207d67b330a4515321cbac3776f8 13891563 libs required glibc_2.3.6.orig.tar.gz
 4172d9b11de6748f0db549a6c411f38c 633004 libs required glibc_2.3.6-1.diff.gz
 8d321bab91bbe2c46adb4ab3251ea351 3348678 doc optional glibc-doc_2.3.6-1_all.deb
 3acf298b4335c39a13cda151a7547d48 3924352 libs standard locales_2.3.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)
Comment: Debian!

iD8DBQFD7oG45m0u66uWM3ARAoD+AKC9k25C+KEqwCK91J1+yDx7xGb95gCgleAr
5lwNkMjksZ4rakk9bNyh06U=
=MG07
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:51:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:51:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.